﻿$ErrorActionPreference = 'Stop';

$packageName = 'intellijidea-community'
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'https://download.jetbrains.com/idea/ideaIC-2017.3.2.exe'
$url64       = 'https://download.jetbrains.com/idea/ideaIC-2017.3.2.exe'

$packageArgs = @{
  packageName    = $packageName
  unzipLocation  = $toolsDir
  fileType       = 'exe'
  url            = $url
  url64bit       = $url64

  softwareName   = 'IntelliJ IDEA Community Edition 2017.3*'

  checksum       = '41BCC993B945D7B9654C37B2325F83A6F1BEFE4AE1E172907EF0D6308109CE07'
  checksumType   = 'sha256'
  checksum64     = '41BCC993B945D7B9654C37B2325F83A6F1BEFE4AE1E172907EF0D6308109CE07'
  checksumType64 = 'sha256'

  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs